require 'spec_helper'

describe Fias::Name::Split do
  {
    '"Новый" Оккервиль' => %w(новый оккервиль),
    'Старый Дом (ограниченное снт)' => %w(старый дом ограниченное снт),
    'ю.р.г.Эрвье' => %w(ю.р.г. эрвье),
    'А.Невского' => %w(а. невского),
    'им.Максима Горького' => %w(им. максима горького),
    '50-летия Октября' => ['50-летия', 'октября'],
    'героя советского союза Жукова' => ['героя советского союза', 'жукова']
  }.each do |name, tokens|
    it(name) { expect(described_class.split(name)).to eq(tokens) }
  end
end
